For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Get Sync

GET
https://app.polytomic.com/api/syncs/:id
GET
/api/syncs/:id
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "active": true,
4 "created_at": "2024-01-15T09:30:00Z",
5 "created_by": {
6 "id": "12345678-1234-1234-1234-123456789012",
7 "name": "John Doe",
8 "type": "user"
9 },
10 "encryption_passphrase": "string",
11 "fields": [
12 {
13 "target": "name",
14 "encryption_enabled": true,
15 "new": false,
16 "override_value": "fixed_value",
17 "source": {
18 "field": "id",
19 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
20 },
21 "sync_mode": "create"
22 }
23 ],
24 "filter_logic": "string",
25 "filters": [
26 {
27 "function": "Equality",
28 "field": {
29 "field": "id",
30 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
31 },
32 "field_id": "field1",
33 "field_type": "Model",
34 "label": "A",
35 "value": null
36 }
37 ],
38 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
39 "identity": {
40 "function": "Equality",
41 "source": {
42 "field": "id",
43 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
44 },
45 "target": "name",
46 "new_field": true,
47 "remote_field_type_id": "string"
48 },
49 "mode": "create",
50 "model_ids": [
51 "string"
52 ],
53 "name": "Users Sync",
54 "only_enrich_updates": false,
55 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
56 "override_fields": [
57 {
58 "target": "name",
59 "encryption_enabled": true,
60 "new": false,
61 "override_value": "fixed_value",
62 "source": {
63 "field": "id",
64 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
65 },
66 "sync_mode": "create"
67 }
68 ],
69 "overrides": [
70 {
71 "field": {
72 "field": "id",
73 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
74 },
75 "field_id": "field1",
76 "function": "Equality",
77 "override": null,
78 "value": null
79 }
80 ],
81 "policies": [
82 "248df4b7-aa70-47b8-a036-33ac447e668d"
83 ],
84 "schedule": {
85 "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
86 "day_of_month": "1",
87 "day_of_week": "monday",
88 "frequency": "manual",
89 "hour": "12",
90 "job_id": 1,
91 "minute": "30",
92 "month": "1",
93 "run_after": {
94 "bulk_sync_ids": [
95 "248df4b7-aa70-47b8-a036-33ac447e668d"
96 ],
97 "sync_ids": [
98 "248df4b7-aa70-47b8-a036-33ac447e668d"
99 ]
100 },
101 "run_after_success_only": true
102 },
103 "skip_initial_backfill": false,
104 "sync_all_records": false,
105 "target": {
106 "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
107 "configuration": {
108 "key": "value"
109 },
110 "create": {
111 "name": "value"
112 },
113 "filter_logic": "string",
114 "object": "Users",
115 "new_name": "string",
116 "search_values": {
117 "name": "value"
118 }
119 },
120 "updated_at": "2024-01-15T09:30:00Z",
121 "updated_by": {
122 "id": "12345678-1234-1234-1234-123456789012",
123 "name": "John Doe",
124 "type": "user"
125 }
126 }
127}

Returns a single model sync by ID.

To check whether a sync is currently running or has recently completed, use GET /api/syncs/{id}/status. For the full history of executions, use GET /api/syncs/{id}/executions.

Was this page helpful?
Previous

Update Sync

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error